Bug 435648 - pyjigdo man pages are broken
pyjigdo man pages are broken
Product: Fedora
Classification: Fedora
Component: pyjigdo (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-03-02 20:34 EST by Kevin Fenzi
Modified: 2009-11-08 15:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-08 15:14:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-03-02 20:34:06 EST
The man pages for pyjigdo and pyjigdo.conf seem to be corrupt. 

man pyjigdo
fgets: No such file or directory
Error reading man page /usr/share/man/man8/pyjigdo.8.gz
No manual entry for pyjigdo

zcat /usr/share/man/man8/pyjigdo.8.gz  | od -c

Just seems to have a NULL in it?
Comment 1 Jeroen van Meeuwen 2008-05-10 12:54:54 EDT
This should have been fixed in GIT now.
Comment 2 Andre Robatino 2009-01-09 01:30:31 EST
This problem still exists in Fedora 10.  The man pages


are just stubs.  Please change the Version to 10.
Comment 3 Kevin Fenzi 2009-01-09 13:46:27 EST
Yeah... reopening.
Comment 4 Andre Robatino 2009-03-11 13:18:02 EDT
This problem still exists in Rawhide, so the bug should either be cloned, or the Version changed to rawhide.
Comment 5 Kevin Fenzi 2009-03-11 13:55:35 EDT
Yep. I see it in rawhide as well still.
Comment 6 Jeroen van Meeuwen 2009-04-08 11:55:50 EDT
Reassiging to Jonathan, currently working on pyJigdo
Comment 7 Jonathan Steffan 2009-05-16 15:51:28 EDT
Cool. I'll get this updated today as I work through testing the current git master.
Comment 8 Jonathan Steffan 2009-05-16 20:34:47 EDT
Man pages are going out with 0.4.0
Comment 9 Andre Robatino 2009-09-09 03:13:26 EDT
This is only partly fixed, both in Rawhide's pyjigdo- and Fedora 11's pyjigdo-  The problem is the same in both cases.  For example, in F11, the man pages look like this:

[andre@compaq-pc ~]$ ls -l /usr/share/man/man1/pyjigdo.1.gz /usr/share/man/man5/pyjigdo.conf.5.gz /usr/share/man/man8/pyjigdo.8.gz
-rw-r--r--. 1 root root 1585 2009-06-28 16:27 /usr/share/man/man1/pyjigdo.1.gz
-rw-r--r--. 1 root root   20 2009-06-28 16:27 /usr/share/man/man5/pyjigdo.conf.5.gz
-rw-r--r--. 1 root root   20 2009-06-28 16:27 /usr/share/man/man8/pyjigdo.8.gz

The section 1 pyjigdo man page is correct, but the other two are still stubs.  Please reopen.
Comment 10 Jonathan Steffan 2009-09-09 22:37:34 EDT
Comment 11 Jonathan Steffan 2009-11-08 15:14:16 EST
1446a6e8116fc28dcf1d85cb1d64456903e81779 fixes the issues. It will go out with the next release.

Note You need to log in before you can comment on or make changes to this bug.